.chat-widget {
    max-width: 400px;
    width: 100%;
    display: none;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-box-align: start;
    -webkit-align-items: flex-start;
    -ms-flex-align: start;
    align-items: flex-start;
    padding: 15px;
    background: -webkit-linear-gradient(
        126.23deg,
        rgba(235, 236, 250, 0.7) 0%,
        rgba(255, 255, 255, 0.7) 49.71%,
        rgba(255, 255, 255, 0.9) 100%
    );
    background: linear-gradient(
        323.77deg,
        rgba(235, 236, 250, 0.7) 0%,
        rgba(255, 255, 255, 0.7) 49.71%,
        rgba(255, 255, 255, 0.9) 100%
    );
    border: 1px solid #e9e9e9;
    -webkit-box-shadow: 0px 4px 16px rgba(39, 31, 88, 0.08);
    box-shadow: 0px 4px 16px rgba(39, 31, 88, 0.08);
    -webkit-backdrop-filter: blur(25px);
    backdrop-filter: blur(25px);
    border-radius: 24px;
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 99;
    gap: 15px;
}
.chat-widget img {
    max-width: 72px;
    height: 72px;
    width: 100%;
}
.chat-widget__content {
    max-width: 285px;
    width: 100%;
}
.chat-widget__title {
    color: #222;
    font-size: 17px;
    margin-bottom: 5px;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    gap: 10px;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    font-weight: 600;
}
.chat-widget__description {
    color: #222222cc;
    font-size: 15px;
    line-height: 140%;
    display: block;
    font-weight: 500;
}
.chat-widget__label {
    font-size: 12px;
    display: block;
    text-align: center;
    font-weight: 600;
    background: #dbd8fa;
    color: #6c48e1;
    border-radius: 60px;
    padding: 5px 12px;
    text-transform: uppercase;
}
.chat-widget.show {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}

.chat-widget.short-mode {
    max-width: 102px;
    overflow: hidden;
    -webkit-transition: all 1s ease-in-out;
    transition: all 1s ease-in-out;
}
.chat-widget.short-mode .chat-widget__content {
    white-space: nowrap;
    height: 0;
}
.chat-widget.short-mode:hover {
    gap: 15px;
    opacity: 1;
    overflow: hidden;
    max-width: 400px;
    width: 100%;
    height: auto;
    z-index: 1;
    -webkit-transition: max-width 1s;
    transition: max-width 1s;
}
.chat-widget.short-mode:hover .chat-widget__content {
    white-space: nowrap;
    height: auto;
}
@media (max-width: 768px) {
    .chat-widget {
        padding: 5px;
        border-radius: 100%;
        max-width: 85px;
    }
    .chat-widget.short-mode {
        max-width: 85px;
    }
    .chat-widget__content {
        display: none;
    }
    .chat-widget svg {
        max-width: 60px;
        height: 60px;
    }
    .modal-chat {
        background: none !important;
    }
    .modal-chat.show {
        width: 100%;
        max-width: calc(100% - 40px);
        right: 20px !important;
        margin: 0 auto;
    }
    .modal-chat.show .modal__content {
        width: 100% !important;
        max-width: 100% !important;
    }
}

.modal-chat {
    position: fixed;
    display: none !important;
    right: 30px !important;
    bottom: 30px !important;
    background: none !important;
    overflow: hidden;
    z-index: -1;
    border-radius: 24px;
}
.modal-chat .chat-close {
    position: absolute;
    top: 10px;
    right: 5px;
    font-size: 18px;
    z-index: 999;
    cursor: pointer;
    width: 60px;
    height: 60px;
    padding: 0 !important;
    border: none !important;
    background: none !important;
}
.modal-chat .chat-close svg {
    fill: gray !important;
}
.modal-chat .modal__content {
    background: -webkit-linear-gradient(126.23deg, #ebecfa 0%, white 49.71%, white 100%);
    background: linear-gradient(323.77deg, #ebecfa 0%, white 49.71%, white 100%);
    padding: 0px;
    width: 65vw;
    height: 75vh;
    border-radius: 24px;
    overflow: hidden;
    border: 1px solid #e9e9e9;
    -webkit-box-shadow: 0px 8px 24px rgba(39, 31, 88, 0.08);
    box-shadow: 0px 8px 24px rgba(39, 31, 88, 0.08);
    -webkit-backdrop-filter: blur(25px);
    backdrop-filter: blur(25px);
}
.modal-chat .modal__content iframe {
    border-radius: 24px;
    overflow: hidden;
}
.modal-chat.show {
    display: block !important;
    z-index: 999999;
    -webkit-box-shadow: 10px 10px 30px 0 #929c9e8a;
    box-shadow: 10px 10px 30px 0 #929c9e8a;
}

